Confirm manual step
post
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/deploymentProcedureInstances/{deploymentProcedureInstanceId}/actions/confirm
Confirm that you have performed the manual step as specified in the procedure. Once confirmed the procedure will continue with the remaining steps.It is equivalent to confirm_instance in emcli.
Request
Path Parameters
-
deploymentProcedureInstanceId(required): string
Id of an Instance.
Supported Media Types
- application/json
Root Schema : schema
Type:
objectRepresents State Id of a step
Show Source
-
executionId: string
Represents executionId of a deployment procedure instance.Example:
CC1871802C4343A3E053E00F4B640972 -
stateId(required): string
single or multiple values seperated by comma.Example:
CC1871802C4343A3E053E00F4B640973
Response
Supported Media Types
- application/json
202 Response
A request to confirm the manual step was accepted
Headers
-
Location:
URL to get the status of manual step confirmation action .
Root Schema : schema
Type:
Show Source
object-
code: string
codeExample:
202 -
message: string
Rest Api message for confirm instance.Example:
A request to confirm the manual steps of deployment procedure execution was accepted
400 Response
Bad Request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
401 Response
Unauthorized
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
403 Response
Forbidden
Root Schema : MissingPrivErrorResponse
Type:
objectResponse sent back as an Error in case required privileges are missing
Show Source
-
missingPrivileges: array
missingPrivileges
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Match All
Response sent back as an Error in case required privileges are missing
Show Source
-
object
ErrorResponse
Response sent back in the case of an Error
Nested Schema : missingPrivileges
Type:
arrayPrivileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
-
Array of:
object MissingPrivilegeSummary
It represents a Privilege which is missing on a Resource to view or manage it.
Nested Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
Nested Schema : MissingPrivilegeSummary
Type:
objectIt represents a Privilege which is missing on a Resource to view or manage it.
Show Source
-
displayName: string
Display Name of PrivilegeExample:
Manage -
name: string
Name of PrivilegeExample:
MANAGE_JOB
404 Response
Not Found
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
503 Response
Service Unavailable
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message